2019-10-16 11:56 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001990FSSCPgraphicspublic2009-12-21 06:31
ReporterFUBAR-BDHR 
Assigned ToHery 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0001990: Unable to release environment map render target
DescriptionBasically this happens if you play certain missions after each other. Seemed pretty random but I have been able to reproduce it every time in a TBP campaign. FH2260 intro followed by M1. As soon as M1 starts loading this warning pops up. Attaching fs2_open.log and call stack.

Kara walked me through getting additional info. I put a breakpoint at 3488 of freespace.cpp. clear_render_targets is 1 at line 1711 in bmpman.cpp but the expression still evaluates to true resulting in 0 being returned.
Additional Information3.6.11 r5591. I've seen it in other mods besides TBP as well. Will happen playing missions from the tech room as well as campaigns.
TagsNo tags attached.
Attached Files
  • rar file icon MRT.rar (131,440 bytes) 2009-09-11 05:53
  • patch file icon 1990_render_targets.patch (608 bytes) 2009-12-18 19:46 -
    Index: code/bmpman/bmpman.cpp
    ===================================================================
    --- code/bmpman/bmpman.cpp	(revision 5726)
    +++ code/bmpman/bmpman.cpp	(working copy)
    @@ -1769,7 +1769,7 @@
     
     	Assert( be->handle == handle );		// INVALID BITMAP HANDLE
     
    -	if ( !clear_render_targets && (be->type == BM_TYPE_RENDER_TARGET_STATIC) || (be->type == BM_TYPE_RENDER_TARGET_DYNAMIC) ) {
    +	if ( !clear_render_targets && ((be->type == BM_TYPE_RENDER_TARGET_STATIC) || (be->type == BM_TYPE_RENDER_TARGET_DYNAMIC)) ) {
     		nprintf(("BmpMan", "Tried to release a render target!\n"));
     		return 0;
     	}
    
    patch file icon 1990_render_targets.patch (608 bytes) 2009-12-18 19:46 +

-Relationships
+Relationships

-Notes

~0011174

FUBAR-BDHR (developer)

Almost forgot. be->type = 17 at line 1711 as well.

~0011442

Hery (developer)

Apparently, there was a mistake in check whether it is possible to release render target.
Patch attached.

~0011453

Hery (developer)

Patch committed.
+Notes

-Issue History
Date Modified Username Field Change
2009-09-11 05:53 FUBAR-BDHR New Issue
2009-09-11 05:53 FUBAR-BDHR File Added: MRT.rar
2009-09-11 05:55 FUBAR-BDHR Note Added: 0011174
2009-11-17 12:14 Hery Status new => assigned
2009-11-17 12:14 Hery Assigned To => Hery
2009-12-18 19:46 Hery File Added: 1990_render_targets.patch
2009-12-18 19:47 Hery Note Added: 0011442
2009-12-21 06:31 Hery Note Added: 0011453
2009-12-21 06:31 Hery Status assigned => resolved
2009-12-21 06:31 Hery Fixed in Version => 3.6.11
2009-12-21 06:31 Hery Resolution open => fixed
+Issue History